%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define name            tyrex
%define version         1.0.1
%define release         2jpp_1rh

Summary: 		an Open Source implementation of the Java Transaction Service
Name: 			%{name}
Version: 		%{version}
Release: 		%{release}
Epoch:			0
#Vendor:         	JPackage Project
#Distribution:   	JPackage
Group: 			Development/Tools
License: 		GPL
Url: 			http://tyrex.sf.net
BuildArch:		noarch
BuildRequires:		jpackage-utils >= 0:1.5
BuildRequires:  	ant >= 0:1.6
BuildRequires:  	avalon-framework
BuildRequires:  	avalon-logkit
BuildRequires:  	castor
BuildRequires:  	j2ee-connector
BuildRequires:  	java >= 0:1.4
BuildRequires:  	javamail
BuildRequires:  	jta
BuildRequires:  	jts >= 0:1.0-5jpp
BuildRequires:  	ldapjdk
BuildRequires:  	log4j
BuildRequires:  	openorb
BuildRequires:		xalan-j2
BuildRequires:		xalan-j2-xsltc
BuildRequires:		xerces-j2
BuildRequires:		xml-commons-apis
Source: 		http://prdownloads.sourceforge.net/tyrex/%{name}-%{version}-src.tgz
Patch0:			%{name}-%{version}-jdbc3.patch
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Tyrex is a J2EE service provider for both Servlet
and EJB container, JMS providers and generic connectors. 
It provides services for security and authentication,
local and distributed transactions, resource configuration
and pooling, and TP monitoring. 

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%package manual
Group:          Development/Documentation
Summary:        Documents for %{name}

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p1

%build
# remove external jars
pushd lib
for f in  *.jar; do mv $f $f.not; done
popd

# Be extra careful
export LANG=C
export LD_ASSUME_KERNEL=2.2.5

# Use highest priority 1.4 jvm available
export JAVA_HOME=%{_jvmdir}/java

CLASSPATH=$(build-classpath \
avalon-framework \
avalon-logkit \
castor \
j2ee-connector \
jaas \
javamail/mailapi \
jdbc-stdext \
jndi \
jsse \
jta \
jts \
ldapjdk \
log4j \
openorb \
openorb-tools \
xalan-j2 \
xsltc \
xerces-j2 \
xml-commons-apis \
)

export CLASSPATH="$CLASSPATH:$BINCLASSPATH"

ant -buildfile src/build.xml jar

# move xsl style to doc dir since xsl process didn't
# works in xsl are not on the same dir that xml !!!!
# doc generation didn't works with latest Xalan / ant
#cp src/doc/style/*.xsl src/doc/
ant -buildfile src/build.xml doc

ant -buildfile src/build.xml javadoc
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
# versioning
( cd $RPM_BUILD_ROOT%{_javadir} && ln -s %{name}-%{version}.jar %{name}.jar )
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/schema
install -m 644 build/schema/* \
	$RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/schema

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -prf build/doc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf build/doc/javadoc

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -prf build/doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}/license.txt
%{_javadir}/*.jar
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Mon Nov 22 2004 Fernando Nasser <fnasser@redhat.com> 1.0.1-2jpp_1rh
- Merge with upstream for upgrade to 1.0.1
- Replace ldapsdk with ldapjdk
- Add missing defattr for 'manual' files

* Tue Sep 28 2004 Ralph Apel <r.apel at r-apel.de> 1.0.1-2jpp
- Replace Copyright: tag by License:
- State requirement versions with Epoch
- Replace jndi, jdbc-stdext, jsse-ext, jaas-ext requirements with
  java >= 0:1.4
- Replace all other external dependencies with JPackage stuff
- Do generate manual and add -manual subpackage
- Add /usr/share/tyrex-1.0.1/schema to main package

* Fri Sep 03 2004 Fernando Nasser <fnasser@redhat.com> 1.0.1-1jpp
- Upgrade to 1.0.1
- Rebuilt with Ant 1.6.2

* Fri May 16 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-3jpp
- Rebuild with external castor

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-2jpp
- For jpackage-utils 1.5

* Mon Jan 21 2002 Henri Gomez <hgomez@slib.fr> 0.9.7.0-1jpp
- Initial jpp release
- will require a later rebuild against to be created package :
  castor-xml.jar, jaas.jar, jtf-0.1.jar, jts.jar, ldapjdk.jar, ots.jar, utils-0.5.jar

* Fri Nov 16 2001 Henri Gomez <hgomez@slib.fr>
- tyrex 0.9.7 RPM release 2
- rebuild with jikes 1.15

* Tue Oct 02 2001 Henri Gomez <hgomez@slib.fr>
- tyrex 0.9.7
- Initial release 
- XML documentation couldn't be generated using latest ant/xalan
- jikes 1.15 couldn't be used and reports many errors

